%global srcname saaj-api

Name:           jakarta-saaj
Version:        1.4.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        SOAP with Attachments API for Java
License:        BSD

URL:            https://github.com/eclipse-ee4j/saaj-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-saaj = %{version}-%{release}
Obsoletes:      geronimo-saaj < 1.1-28

# javadoc subpackage is currently not built
Obsoletes:      geronimo-saaj-javadoc < 1.1-28

%description
Jakarta SOAP with Attachments defines an API enabling developers to
produce and consume messages conforming to the SOAP 1.1, SOAP 1.2, and
SOAP Attachments Feature.


%prep
%autosetup -n %{srcname}-%{version} -p1

pushd api
# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :spotbugs-maven-plugin

# add compatibility alias for old maven artifact coordinates
%mvn_alias jakarta.xml.soap:jakarta.xml.soap-api javax.xml.soap:saaj-api

# add compatibility symlink for old classpath
%mvn_file : %{name}/jakarta.xml.soap-api geronimo-saaj
popd


%build
pushd api
# - skip tests because metro-saaj is not packaged for fedora yet:
#   https://github.com/eclipse-ee4j/metro-saaj
# - skip javadoc build due to https://github.com/fedora-java/xmvn/issues/58
%mvn_build -f -j -- -DbuildNumber=unknown
popd


%install
pushd api
%mvn_install
popd


%files -f api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.4.2-2.mga9
+ Revision: 1827572
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1622057
- Update to 1.4.2
- package renamed to jakarta-saaj

* Tue Feb 11 2020 umeabot <umeabot> 1.1-21.mga8
+ Revision: 1489535
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-20.mga7
+ Revision: 1260750
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1-19.mga6
+ Revision: 981873
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-18.mga6
+ Revision: 976286
- First rebuild of the java stack
- sync package geronimo-saaj with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-11.mga5
+ Revision: 739273
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 dmorgan <dmorgan> 1.1-9.mga4
+ Revision: 562985
- Replace local depmap with POM macro
- Resolves: rhbz#914030
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-6.mga3
+ Revision: 351465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.1-5.mga3
+ Revision: 331590
- Build with maven3

* Tue Jul 19 2011 dmorgan <dmorgan> 1.1-4.mga2
+ Revision: 126347
- imported package geronimo-saaj

